com.lowagie.text.pdf

## Class PdfPrinterGraphics2D

- java.lang.Object
- - java.awt.Graphics
  - - java.awt.Graphics2D
    - - com.lowagie.text.pdf.PdfGraphics2D
      - - com.lowagie.text.pdf.PdfPrinterGraphics2D

All Implemented Interfaces:
  java.awt.print.PrinterGraphics

    public class PdfPrinterGraphics2D
    extends PdfGraphics2D
    implements java.awt.print.PrinterGraphics

This is an extension class for the sole purpose of implementing the `PrinterGraphics` interface.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.lowagie.text.pdf.PdfGraphics2D

`PdfGraphics2D.HyperLinkKey`

### Field Summary

Fields
`private java.awt.print.PrinterJob` `printerJob`

### Fields inherited from class com.lowagie.text.pdf.PdfGraphics2D

`AFM_DIVISOR, currentFillGState, currentStrokeGState, fillGState, strokeGState, underline`

### Constructor Summary

Constructors
Constructor and Description
`PdfPrinterGraphics2D(PdfContentByte cb, float width, float height, FontMapper fontMapper, boolean onlyShapes, boolean convertImagesToJPEG, float quality, java.awt.print.PrinterJob printerJob)`

### Method Summary

Methods
`java.awt.print.PrinterJob` `getPrinterJob()`

### Methods inherited from class com.lowagie.text.pdf.PdfGraphics2D

`addRenderingHints, asPoints, clearRect, clip, clipRect, copyArea, create, dispose, doAttributes, draw, drawArc, drawGlyphVector, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawLine, drawOval, drawPolygon, drawPolyline, drawRect, drawRenderableImage, drawRenderedImage, drawRoundRect, drawString, drawString, drawString, drawString, fill, fillArc, fillOval, fillPolygon, fillRect, fillRoundRect, getBackground, getClip, getClipBounds, getColor, getComposite, getContent, getDeviceConfiguration, getFont, getFontMetrics, getFontRenderContext, getPaint, getRenderingHint, getRenderingHints, getStroke, getTransform, hit, rotate, rotate, scale, setBackground, setClip, setClip, setColor, setComposite, setFont, setPaint, setPaintMode, setRenderingHint, setRenderingHints, setStroke, setTransform, setXORMode, shear, transform, translate, translate`

### Methods inherited from class java.awt.Graphics2D

`draw3DRect, fill3DRect`

### Methods inherited from class java.awt.Graphics

`create, drawBytes, drawChars, drawPolygon, fillPolygon, finalize, getClipBounds, getClipRect, getFontMetrics, hitClip, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### printerJob

    private java.awt.print.PrinterJob printerJob

### Constructor Detail

#### PdfPrinterGraphics2D

    public PdfPrinterGraphics2D(PdfContentByte cb,
                        float width,
                        float height,
                        FontMapper fontMapper,
                        boolean onlyShapes,
                        boolean convertImagesToJPEG,
                        float quality,
                        java.awt.print.PrinterJob printerJob)

### Method Detail

#### getPrinterJob

    public java.awt.print.PrinterJob getPrinterJob()

Specified by:
  `getPrinterJob` in interface `java.awt.print.PrinterGraphics`